CREATE TABLE doo_payments_eff_tl (
    EFF_LINE_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    FULFILL_LINE_ID          NUMBER(18, 0),
    LINE_ID                  NUMBER(18, 0),
    PAYMENT_TRX_ID           NUMBER(18, 0),
    CONTEXT_CODE             VARCHAR2(320)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    LANGUAGE                 VARCHAR2(16) ,
    PROGRAM_NAME             VARCHAR2(120),
    PROGRAM_APP_NAME         VARCHAR2(200),
    ATTRIBUTE_CHAR1          VARCHAR2(600),
    ATTRIBUTE_CHAR2          VARCHAR2(600),
    ATTRIBUTE_CHAR3          VARCHAR2(600),
    ATTRIBUTE_CHAR4          VARCHAR2(600),
    ATTRIBUTE_CHAR5          VARCHAR2(600),
    ATTRIBUTE_CHAR6          VARCHAR2(600),
    ATTRIBUTE_CHAR7          VARCHAR2(600),
    ATTRIBUTE_CHAR8          VARCHAR2(600),
    ATTRIBUTE_CHAR9          VARCHAR2(600),
    ATTRIBUTE_CHAR10         VARCHAR2(600),
    ATTRIBUTE_CHAR11         VARCHAR2(600),
    ATTRIBUTE_CHAR12         VARCHAR2(600),
    ATTRIBUTE_CHAR13         VARCHAR2(600),
    ATTRIBUTE_CHAR14         VARCHAR2(600),
    ATTRIBUTE_CHAR15         VARCHAR2(600),
    ATTRIBUTE_CHAR16         VARCHAR2(600),
    ATTRIBUTE_CHAR17         VARCHAR2(600),
    ATTRIBUTE_CHAR18         VARCHAR2(600),
    ATTRIBUTE_CHAR19         VARCHAR2(600),
    ATTRIBUTE_CHAR20         VARCHAR2(600),
    EFF_LINE_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    FULFILL_LINE_ID          NUMBER(18, 0),
    LINE_ID                  NUMBER(18, 0),
    PAYMENT_TRX_ID           NUMBER(18, 0),
    CONTEXT_CODE             VARCHAR2(320)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    LANGUAGE                 VARCHAR2(16) ,
    PROGRAM_NAME             VARCHAR2(120),
    PROGRAM_APP_NAME         VARCHAR2(200),
    ATTRIBUTE_CHAR1          VARCHAR2(600),
    ATTRIBUTE_CHAR2          VARCHAR2(600),
    ATTRIBUTE_CHAR3          VARCHAR2(600),
    ATTRIBUTE_CHAR4          VARCHAR2(600),
    ATTRIBUTE_CHAR5          VARCHAR2(600),
    ATTRIBUTE_CHAR6          VARCHAR2(600),
    ATTRIBUTE_CHAR7          VARCHAR2(600),
    ATTRIBUTE_CHAR8          VARCHAR2(600),
    ATTRIBUTE_CHAR9          VARCHAR2(600),
    ATTRIBUTE_CHAR10         VARCHAR2(600),
    ATTRIBUTE_CHAR11         VARCHAR2(600),
    ATTRIBUTE_CHAR12         VARCHAR2(600),
    ATTRIBUTE_CHAR13         VARCHAR2(600),
    ATTRIBUTE_CHAR14         VARCHAR2(600),
    ATTRIBUTE_CHAR15         VARCHAR2(600),
    ATTRIBUTE_CHAR16         VARCHAR2(600),
    ATTRIBUTE_CHAR17         VARCHAR2(600),
    ATTRIBUTE_CHAR18         VARCHAR2(600),
    ATTRIBUTE_CHAR19         VARCHAR2(600),
    ATTRIBUTE_CHAR20         VARCHAR2(600),
    CONSTRAINT pk_doo_payments_eff_tl PRIMARY KEY (EFF_LINE_ID, LANGUAGE, EFF_LINE_ID, LANGUAGE)
);
